Bug 995921 - [abrt] policycoreutils-gui-2.1.14-46.4.fc19: generate.py:1107:generate_fc:AttributeError: 'module' object has no attribute 'fc_dir'
[abrt] policycoreutils-gui-2.1.14-46.4.fc19: generate.py:1107:generate_fc:Att...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:a76530a29d91fa3777f4b49160e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-11 22:25 EDT by Allen
Modified: 2015-01-14 08:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-14 08:12:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.23 KB, text/plain)
2013-08-11 22:25 EDT, Allen
no flags Details
File: environ (1.95 KB, text/plain)
2013-08-11 22:26 EDT, Allen
no flags Details

  None (edit)
Description Allen 2013-08-11 22:25:54 EDT
Description of problem:
Tried to create a policy to allow zmpkg.pl 

Version-Release number of selected component:
policycoreutils-gui-2.1.14-46.4.fc19

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python -Es /usr/bin/selinux-polgengui
dso_list:       policycoreutils-python-2.1.14-46.4.fc19.x86_64
executable:     /usr/bin/selinux-polgengui
kernel:         3.10.5-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            500

Truncated backtrace:
generate.py:1107:generate_fc:AttributeError: 'module' object has no attribute 'fc_dir'

Traceback (most recent call last):
  File "/usr/bin/selinux-polgengui", line 372, in forward
    self.generate_policy()
  File "/usr/bin/selinux-polgengui", line 518, in generate_policy
    self.info(my_policy.generate(outputdir))
  File "/usr/lib64/python2.7/site-packages/sepolicy/generate.py", line 1362, in generate
    out += "%s # %s\n" % (self.write_fc(out_dir), _("File Contexts file"))
  File "/usr/lib64/python2.7/site-packages/sepolicy/generate.py", line 1247, in write_fc
    fd.write(self.generate_fc())
  File "/usr/lib64/python2.7/site-packages/sepolicy/generate.py", line 1107, in generate_fc
    t1 = re.sub("TEMPLATETYPE", self.name, self.dirs[i][2].fc_dir)
AttributeError: 'module' object has no attribute 'fc_dir'

Local variables in innermost frame:
i: '/tmp/zm'
self: <sepolicy.generate.policy instance at 0xa375f80>
t2: '/var/log/zoneminder(/.*)?\t\tgen_context(system_u:object_r:zmpkg_log_t,s0)\n'
t1: 'FILENAME(/.*)?\t\tgen_context(system_u:object_r:zmpkg_log_t,s0)\n'
newfc: ''
fclist: ['/usr/local/bin/zmpkg.pl\t\t--\tgen_context(system_u:object_r:zmpkg_exec_t,s0)\n', '/var/log/zoneminder(/.*)?\t\tgen_context(system_u:object_r:zmpkg_log_t,s0)\n']
Comment 1 Allen 2013-08-11 22:25:58 EDT
Created attachment 785515 [details]
File: backtrace
Comment 2 Allen 2013-08-11 22:26:03 EDT
Created attachment 785516 [details]
File: environ
Comment 3 Miroslav Grepl 2013-08-19 08:48:57 EDT
What command did you run?

Btw. there is a policy for zmpkg.pl.
Comment 4 Allen 2013-08-19 18:10:57 EDT
1>>grep zmpkg.pl /var/log/audit/audit.log | audit2allow -M mypol
2>>semodule -i mypol.pp
Comment 5 Allen 2013-08-19 18:12:32 EDT
Do you have a copy of a working policy for zmpkg.pl that I can apply?
Comment 6 Fedora End Of Life 2015-01-09 14:24:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.